Subject: [bug#28616] disable failing bluez test

From: Thomas Danckaert <[email-masked]>
Date: Wed, 11 Oct 2017 08:52:12 +0200 (CEST)

From: Marius Bakke <[email-masked]>
Subject: Re: [bug#28616] disable failing bluez test
Date: Tue, 10 Oct 2017 23:40:39 +0200

>> I agree.
>>
>> I'll push this to core-updates then.
>
> On second thought, "bluez" is currently failing on armhf, seemingly 
> due
> to the original patch: 
> <https://hydra.gnu.org/build/2304811/nixlog/4/raw>
>
> [...]
>
> I found the autotools documentation sparse on this, how do we make 
> it
> skip this test instead of expecting a failure?

How annoying :-)  I couldn't find a way either.  What we can do is 
pass all 24 other tests as a make TESTS="..." flag..., or modify the 
'test-gatt' file itself so it returns '77', which is SKIP (we could 
use substitute* to insert a “return 77;” in main()).  Neither is very 
elegant...

Thomas